System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

The design-time environment provides a Help system that attempts to locate relevant Help topics to display when a user presses F1. The Help system maintains a set of current context keywords that are used to identify relevant topics if Help is requested. By default, keywords are associated with selected class objects and properties of objects in the design time environment. The default keyword for a component or property is its fully qualified class or property name. Specific keywords are also associated with certain modes, such as when multiple objects are selected. If a custom Help collection is integrated with the design-time environment by configuring it for an external help provider, a documentation provider can associate a topic for a specific component class or property with a keyword consisting of the item's fully qualified type or member name.

The can be used to invoke the help service with a specified keyword using the method, or to invoke a help topic from a specified URL using the method.

The can also be used to add or remove Help keywords at design time. Selecting a component or property at design time sets a default context keyword consisting of the fully qualified type or member name of the selection, and removes the keywords for any previously selected and no longer selected components or properties.

Because the Help system does not automatically remove custom Help keywords, you must explicitly remove a custom keyword when it no longer applies. You can monitor the events defined by the interface to determine when a component selection changes. Based on those events, you can add a Help context attribute for a component when it is selected and then remove the Help context attribute when the selection no longer includes the component.

Provides methods for showing Help topics and adding and removing Help keywords at design time.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  Context attributes are used to provide context-sensitive Help to users. The designer host automatically adds context attributes from available Help attributes on certain components and properties. This method allows you to further customize the context-sensitive Help.

  Adds a context attribute to the document.

  The name of the attribute to add. The value of the attribute. The type of the keyword, from the enumeration .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Removes all existing context attributes from the document.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.IHelpService `` To be added

  Creates a local to manage subcontexts.

  The newly created .

  The priority type of the subcontext to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Removes a previously added context attribute.

  The name of the attribute to remove. The value of the attribute to remove.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes a context created with .

  The local context to remove.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The Visual Studio integrated development environment's Help system displays the topic.

  Shows the Help topic that corresponds to the specified keyword.

  The keyword of the Help topic to display.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The Visual Studio integrated development environment's Help system displays the topic.

  Shows the Help topic that corresponds to the specified URL.

  The URL of the Help topic to display.